
PKG:=iproute2
VERSION:=2.6.16-060323
DIR:=${PKG}-${VERSION}

unexport LDFLAGS

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	${MAKE} -C ${DIR} CC="${CC} ${CFLAGS}" DESTDIR=${ROOT}

.PHONY: install
install:
	${MAKE} -C ${DIR} CC="${CC} ${CFLAGS}" DESTDIR=${ROOT} STRIP=${STRIP} install

${DIR}:
	tar -zxf ${STORAGE}/${PKG}-${VERSION}.tar.gz
	cd ${DIR} && patch -p0 < ${STORAGE}/iproute2-disable-arpd.patch
	cd ${DIR} && patch -p0 < ${STORAGE}/iproute2-disable-strip.patch
	
