PKG:=ntpclient
VERSION:=2.0
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} 
	${MAKE} -C ${DIR}

.PHONY: install
install: ${DIR}
	cp ${DIR}/ntpclient ${ROOT}/usr/local/bin/.
${DIR}:
	tar -jxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.bz2
	cd ${DIR} && patch -p0 < linksys.patch
	cd ${DIR} &&  sed -i 's/resolv.o//g' Makefile
	cd ${DIR} && sed -i 's/CC=\/opt\/brcm\/hndtools-mipsel-linux\/bin\/mipsel-linux-gcc/CC=mips64-octeon-linux-gnu-gcc/g' Makefile
	cd ${DIR} && sed -i 's/CFLAGS += -O/CFLAGS += -mabi=64 -O/g' Makefile
#	cp ${STORAGE}/${PKG}/Makefile ${DIR}/.

	
