PKG:=procps
VERSION:=3.2.7
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	${MAKE} -C ${DIR} vmstat

.PHONY: install
install: ${DIR}
	cp -f ${DIR}/vmstat ${ROOT}/usr/bin
	cp -f ${DIR}/proc/libproc-3.2.7.so ${ROOT}/lib64
	ln -s /lib64/libproc-3.2.7.so ${ROOT}/lib64/libproc.so

${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz

