
PKG:=sysklogd
VERSION:=1.4.1
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	${MAKE} -C ${DIR} 

.PHONY: install
install:
	cp ${DIR}/syslogd ${ROOT}/bin/.

${DIR}:
	tar -jxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.bz2
	cd ${DIR} && sed -i 's/gcc/mips64-octeon-linux-gnu-gcc/g' Makefile
	cd ${DIR} && sed -i 's/-O3/${CFLAGS} -O3 /g' Makefile
	cd ${DIR} && sed -i 's/LDFLAGS=/LDFLAGS=\${TOOLCHAIN_ABI} /g' Makefile
	cd ${DIR} && sed -i 's/all: syslogd klogd/all: syslogd /g' Makefile

