/*
 * br_hook_defs.h
 *
 * Copyright (c) Arada Systems, 1996-2007
 *
 */

/* List of hooks */
#define BR_PREROUTING			0
#define BR_POSTROUTING			1
#define BR_INPUT			2

/* Rule positions */
#define BR_FIRST			0
#define BR_NEXT				1

/* List of targets */
#define NULL_TARGET			0
#define ADD_VLAN_TAG_AND_CONTINUE	1
#define REM_VLAN_TAG_AND_CONTINUE	2
#define ACCEPT_EAPOL			3

struct br_hook_ioctl {
	int hook;
	int position;
	char bridge[IFNAMSIZ];
	char indev[IFNAMSIZ];
	char outdev[IFNAMSIZ];
	unsigned int pkt_type;
	int target;
	int arg;
};
