
PKG:=dnsmasq
VERSION:=2.38
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	cd ${DIR} && ${MAKE} CFLAGS="${CFLAGS}" LDFLAGS="${TOOLCHAIN_ABI}"

.PHONY: install
install:
	cp -f ${DIR}/src/dnsmasq ${ROOT}/usr/local/sbin/.
	cp -f ${STORAGE}/${PKG}/dnsmasq.conf ${ROOT}/etc/.

${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz
	cd ${DIR}  patch -p0 < ${STORAGE}/${PKG}/101-ipv6.patch
	cd ${DIR}  patch -p0 < ${STORAGE}/${PKG}/102-rtnetlink.patch
	cd ${DIR}  patch -p0 < ${STORAGE}/${PKG}/103-hosts-fqdn.patch

