
PKG:=ethtool
VERSION:=5
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	${MAKE} -C ${DIR}

.PHONY: install
install:
	${STRIP} -o ${ROOT}/usr/sbin/ethtool ${DIR}/ethtool

${DIR}:
	tar -zxf ${STORAGE}/${PKG}-${VERSION}.tar.gz
	cd ${DIR} && ./configure --host=${CROSS} CFLAGS="${CFLAGS}" LDFLAGS=${TOOLCHAIN_ABI}
	
