PKG:=samba
VERSION:=2.2.12
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	${MAKE} -C ${DIR}/source bin/nmbd
	${STRIP} ${DIR}/source/bin/nmbd
#${DIR}/Makefile 
.PHONY: install
install:
	cp ${DIR}/source/bin/nmbd ${ROOT}/usr/sbin/.
	cp ${STORAGE}/${PKG}/smb.conf ${ROOT}/etc

${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz 	
	cd ${DIR}/source && cp ${STORAGE}/${PKG}/Makefile .
	cd ${DIR}/source/include && cp ${STORAGE}/${PKG}/config.h .
