#define SUCCESS 0
#define FAILURE -1

typedef enum {
     IWEVCUST_STA_DENY =   100,
     IWEVCUST_BEACON_STUCK,
     IWEVCUST_REMOTE_ACL_CHECK,       // Remote ACL
     IWEVCUST_BCN_INT,               // Beacon Interval
     IWEVCUST_BCN_COUNT,             // Beacon Count
     IWEVCUST_BCN_TIME,              // Beacon Time
     IWEVCUST_MAX_RATE               //Max supported data rate 	
} IW_CUST_EVENT;
typedef struct iwscan_state
{
     int			ap_num;		/* Access Point number 1->N */
     int			val_index;	/* Value in table 0->(N-1) */
} iwscan_state;


typedef struct PTR_VARLIST{
                oid *name_oid;
                int type;
                char *val;
                int val_len;
                int oid_len;
}Ptr_VarList;
typedef struct VAR_TRAP{
                int num_var;
                Ptr_VarList *ptr_list;
}Var_Trap;

typedef struct scanned_ap_trap {
                char scan_MacAddr[18];
} scanned_ap;

typedef struct rogue_trap {
		unsigned char rogue_MacAddr[18];
		char rogue_Ssid[33];
		int rogue_prv;
		int rogue_band;
		int rogue_ch;
		int rogue_rate;
		int rogue_beacon;
		int rogue_numbeacon;
		char rogue_lastbeacon[30];
} rogue_trap;

typedef struct maxStat_Trap {
       char            maxStatMacAddr[7];
       unsigned int    maxStationBand;
}stat_Trap;

typedef struct acl_MsMatch_Trap {
       char     aclMsMatchMacAddr[7];
       char     aclMsMatchBssid[7];
       char     aclMsMatchSsid[32];
}acl_Trap;

typedef struct no_Bcon_Trap {
       char     noBeaconBssid[7];
} bcon_Trap;


