/*dot11CountersTable data Structures*/
typedef struct cntTbl_data {

        unsigned int ifIndex;
        unsigned int TransFragCount;
        unsigned int McastTransFragCount;
        unsigned int FailedCount;
        unsigned int RetryCount;
        unsigned int MultipleRetryCount;
        unsigned int FrameDuplicateCount;
        unsigned int RTSSuccessCount;
        unsigned int RTSFailureCount;
        unsigned int ACKFailureCount;
        unsigned int RcvdFragmentCount;
        unsigned int McastRcvdFrameCount;
        unsigned int FCSErrorCount;
        unsigned int TransFrameCount;
        unsigned int WEPUndecryptableCount;
        unsigned int TransAMSDUCount;
        unsigned int FailedAMSDUCount;
        unsigned int RetryAMSDUCount;
        unsigned int MRetryAMSDUCount;
        unsigned long TransOctInAMSDUCount;
        unsigned int AMSDUAckFailureCount;
        unsigned int RcvdAMSDUCount;
        unsigned long RcvdOctetsInAMSDUCount;
        unsigned int TransAMPDUCount;
        unsigned int TransMPDUsInAMPDUCount;
        unsigned long TransOctetsInAMPDUCount;
        unsigned int AMPDURcvdCount;
        unsigned int MPDUInRcvdAMPDUCount;
        unsigned long RcvdOctetsInAMPDUCount;
        unsigned int AMPDUDelmtrCRCErrorCount;
        unsigned int ImpBARFailureCount;
        unsigned int ExpBARFailureCount;
        unsigned int ChannelWidthSwitchCount;
        unsigned int TwentyMHzTransFrameCount;
        unsigned int FortyMHzTransFrameCount;
        unsigned int TwentyMHzRcvdFrameCount;
        unsigned int FortyMHzRcvdFrameCount;
        unsigned int PSMPSuccessCount;
        unsigned int PSMPFailureCount;
        unsigned int GrantedRDGUsedCount;
        unsigned int GrantedRDGUnusedCount;
        unsigned int TransFramesInGrantedRDGCount;
        unsigned long TransOctetsInGrantedRDGCount;
        unsigned int DualCTSSuccessCount;
        unsigned int DualCTSFailureCount;

}cntTbl_data;

extern void loadcntList(int skfd,char * ifName);
extern cntTbl_data* cntList_get(list_T *cntList,int index,int exact);



