

typedef struct scTbl_data{
	int   ifindex;
	char  stationID [ MACADDR_LEN + 1 ];              /*Default actual MacAddr*/
	int  mediumOccupancyLimit;
	int  CFPPollable;
	int  CFPPeriod;
	int  maxDuration;
	int  authenticationResponseTimeOut;
	int  privacyOptionImplemented;
	int  powerManagementMode;
	char  desiredSSID [33];
	int  desiredBSSType;
	char  operationalRateSet [OPER_RATE_SET_LEN + 1];
	int  beaconPeriod;
	int  DTIMPeriod;
	int  associationResponseTimeOut;
	int  disAssociationReason;
	char  disAssociationStation [MACADDR_LEN + 1 ];
	int  deAuthenticationReason;
	char  deAuthenticationStation [MACADDR_LEN + 1 ];
	int  authenticateFailStatus;
	char  authenticateFailStation [MACADDR_LEN + 1 ];
	int  multidomaincapability_impl;
	int  multidomaincapability_ena;
	char  countrystring[5];
	
	/*entries from Draft-P80211n and P802.11*/
	int  spectrummanagement_impl;
	int  spectrummanagement_req;
	int  RSNAOption_impl;
	int  RSNAPreAuth_impl;
	int  regulatory_impl;
	int  regulatory_req;
	int  QosOption_impl;
	int  immediate_Ack;
	int  delayed_Ack;
	int  directedOption;
	int  APSDOption;
	int  QAckOption;
	int  QBSSLoadOption;
	int  QueueReqOption;
	int  TXOPReqOption;
	int  MoreAckOption;
	int  AssociateNQBSS;
	int  DLSAllowedQBSS;
	int  DLSAllowed;
	int  HighThroughputOption;
}scTbl_data;

extern int load_sctbl(int skfd,char *ifname);
extern scTbl_data* ScList_get(list_T *sclist,int index,int exact);
