#ifndef PHP_C_EXT_H
#define PHP_C_EXT_H

extern zend_module_entry c_ext_module_entry;
#define	c_ext_module_ptr &c_ext_module_entry

/* Functions */


PHP_FUNCTION(conf_get);
PHP_FUNCTION(conf_get_next);
PHP_FUNCTION(conf_iterate);
PHP_FUNCTION(conf_set);
PHP_FUNCTION(conf_save);
PHP_FUNCTION(conf_set_buffer);

#define phpext_c_ext_ptr c_ext_module_ptr

/*
 * Specifying the easter calculation method
 *
 * DEFAULT is Anglican, ie. use Julian c_extension before 1753
 * and Gregorian after that. With ROMAN, the cutoff year is 1582.
 * ALWAYS_GREGORIAN and ALWAYS_JULIAN force the c-extension
 * regardless of date.
 *
 */

#endif
